Subject: Re: [netmod] [i2rs] netmod interim and i2rs requirements

From: Benoit Claise <[email-masked]>
Date: Mon, 01 Sep 2014 18:23:27 +0200

Joel,

On top of what Jürgen wrote, we stressed the need for such a requirement 
document to both I2RS chairs during the last IETF meeting.
The good news is that some of the requirements were mentioned on the 
microphone during the Sunday YANG editing session and/or the NETMOD 
meeting (my memory fails me).

Regards, Benoit

> On Sun, Aug 31, 2014 at 09:58:57PM -0400, Joel M. Halpern wrote:
>> Juergen,
>>      While I understand the request, I presume that such a request can
>> not be met as a working group agreement in the time frame suggested.
>> WHile I hope that some of the folks who have been involved in proposing
>> the use of YANG for I2RS will write such a draft, I can not see how we
>> could even get tot eh point of WG adoption of such a draft, much less WG
>> rough consensus on the content, in the time frame you outline.
>>      Of course, I am not one of the chairs or ADs, but it seems pretty
>> clear cut to me.
> Joel,
>
> all I need is reasonably agreed upon input. Note that this request for
> input is not coming out of the blue, at least not for those I2RS folks
> who have been at the NETMOD meeting in Toronto.
>
> As NETMOD chair, I do have a target date to deliver YANG 1.1 and I
> take that milestone serious. My motivation to delay this by N months
> waiting for I2RS to get their input submitted is very small. I recall
> that there were presentations about "what is missing" bach in London,
> that is March 2014. The regular submission period for YANG 1.1 issues
> was 2014-02-23 until 2014-05-07. The interim meeting is mid September.
>
> /js
>

---

From: Andy Bierman <[email-masked]>
Date: Mon, 1 Sep 2014 10:17:14 -0700

On Mon, Sep 1, 2014 at 9:23 AM, Benoit Claise <[email-masked]> wrote:

> microphone during the Sunday YANG editing session and/or the NETMOD meeting
> (my memory fails me).
>
> Regards, Benoit
>
I agree with Joel that the I2RS does not have consensus on the details.
The slides I presented in London and subsequent discussions suggest this
solution:

   1) define YANG extension to identify I2RS data so typedefs, etc. can be
shared
       in config and state data models
   2) define an I2RS datastore
   3) define or extend a protocol to manage the I2RS datastore

Let's say there is a new datastore added to the RESTCONF architecture for
I2RS.
Explain how this datastore works.  It seems to have the same validation
rules
as YANG running config rules.  The only difference seems to be that the
I2RS datastore
is not NV-saved (or NV-loaded at boot-time) like the running datastore.

YANG 1.1 has some cleanup work planned to make the text less
NETCONF-specific.
I don't think there is much datastore and NV-store specific text that would
need to change.

Andy

 Joel,
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>

---

From: Jeffrey Haas <[email-masked]>
Date: Thu, 4 Sep 2014 11:22:19 -0400

Benoit and Juergen,

My apologies for delay in responding to this mail.  I've had a few
unexpected items that have distracted me from IETF work the last several
days.

I will be chatting with Dean B. who had volunteered to help draft this
document today.  While we have previously discussed a number of items in
terms of requirements and gaps, the request was that we provide a formal
list of the requirements against netmod and netconf.

I hope to have the result of that discussion this afternoon.

-- Jeff

On Mon, Sep 01, 2014 at 06:23:27PM +0200, Benoit Claise wrote:
> Joel,
> 
> On top of what J?rgen wrote, we stressed the need for such a
> requirement document to both I2RS chairs during the last IETF
> meeting.
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs

---

From: Jeffrey Haas <[email-masked]>
Date: Thu, 4 Sep 2014 11:26:17 -0400

> I agree with Joel that the I2RS does not have consensus on the details.

I think we continue to have consensus but not in enough detail to declare

>        in config and state data models

And how this was to be different than ephemeral data, if at all.

>    2) define an I2RS datastore

I suspect we have consensus on this.

> is not NV-saved (or NV-loaded at boot-time) like the running datastore.

Exactly.

> I don't think there is much datastore and NV-store specific text that would

Mostly the ability to tag things emphemeral.  More on that in a later
message.

-- Jeff

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 15 Sep 2014 09:21:54 -0400

Netconf is called Netconf; it has nothing to do with SNMP.  

	--Tom

On Sep 15, 2014:9:17 AM, at 9:17 AM, Behcet Sarikaya <[email-masked]> wrote:

> Hi Juergen,
> 
> What is Netconf protocol called? SNMP v4?
> 
> Regards,
> 
> Behcet
> 
> On Fri, Aug 29, 2014 at 1:42 AM, Juergen Schoenwaelder
> <[email-masked]> wrote:
>> Hi,
>> 
>> the NETMOD WG is holding an interim meeting on Sep. 17/18 [1] and one
>> of the agenda items is to work on any requirements I2RS might have for
>> YANG 1.1. For this, we need a clear definition of what the I2RS
>> requirements are for YANG 1.1, ideally posted as an I-D a few days
>> before the interim meeting so that people can come prepared. This
>> means there are ~15 days left to produce such a requirements writeup.
>> 
>> /js
>> 
>> [1] https://www.ietf.org/meeting/interim/netmod-2014-09-17.txt
>> 
>> --
>> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
>> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
>> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
>>

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 15 Sep 2014 08:17:49 -0500

Hi Juergen,

Regards,

Behcet